=== debian/changelog ===
sfcgal (1.3.9-2) unstable; urgency=medium

  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Add upstream patch to fix FTBFS with CGAL 5.2.
    (closes: #978173)
  * Add patch to disable test failing with CGAL 5.2.
  * Add patch to fix sfcgal_cTest failure.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Dec 2020 08:42:21 +0100

sfcgal (1.3.9-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Oct 2020 06:45:13 +0200

sfcgal (1.3.9-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop CGAL 5.1 patch, included upstream.
  * Don't ignore test failures everywhere, unit-test failure should be fixed.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Oct 2020 15:49:31 +0200

sfcgal (1.3.8-1) unstable; urgency=medium

  * Add upstream patch to fix FTBFS with CGAL 5.1.
    (closes: #971145)
  * Update lintian overrides.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Sep 2020 07:04:47 +0200

sfcgal (1.3.8-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop Name field from upstream metadata.
  * Apply patch by Gianfranco Costamagna to use -02 on armhf & ppc64el too.
    (closes: #949025)
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Update packaging for move to GitLab.
  * Refresh patches.
  * Update copyright years for Oslandia & IGN.
  * Ignore test failures everywhere until unit-test failure is fixed.
    https://gitlab.com/Oslandia/SFCGAL/-/issues/231
  * Update symbols for amd64.
  * Add lintian override for spelling-error-in-binary.
  * Include sfcgal.pc in libsfcgal-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Jun 2020 15:38:34 +0200
