## sfcgal 1.4.0

=== debian/changelog ===
sfcgal (1.4.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Sep 2021 10:20:03 +0200

sfcgal (1.4.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Require at least libcgal-dev 5.3.
  * Update copyright file.
  * Drop CGAL 5.3 patch, included upstream.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Sep 2021 06:14:46 +0200

sfcgal (1.3.10-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Add upstream patch to fix FTBFS with CGAL 5.3.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Sep 2021 16:24:01 +0200

sfcgal (1.3.10-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 14:00:39 +0200

sfcgal (1.3.10-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.
  * Update lintian overrides.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Apr 2021 07:04:44 +0200
