## sfcgal 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,12 +28,25 @@
 
 option( SFCGAL_WITH_OSG "Compile with OpenSceneGraph support" OFF )
 
+# Configure CCache if available
+if(NOT MSVC)
+  option(USE_CCACHE "Use ccache" ON)
+  if (USE_CCACHE)
+    find_program(CCACHE_FOUND ccache)
+    if(CCACHE_FOUND)
+        set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
+        set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
+        message(STATUS "ccache found")
+    endif(CCACHE_FOUND)
+  endif(USE_CCACHE)
+endif(NOT MSVC)
+
 #-- include finders and co
 set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules;${CMAKE_MODULE_PATH}" )
 
 set( SFCGAL_VERSION_MAJOR 1 )
-set( SFCGAL_VERSION_MINOR 3 )
-set( SFCGAL_VERSION_PATCH 8 )
+set( SFCGAL_VERSION_MINOR 4 )
+set( SFCGAL_VERSION_PATCH 1 )
 
 set( SFCGAL_VERSION "${SFCGAL_VERSION_MAJOR}.${SFCGAL_VERSION_MINOR}.${SFCGAL_VERSION_PATCH}" )
 
@@ -51,25 +64,13 @@
 	add_definitions( "-DCGAL_NO_AUTOLINK" )
 endif()
 
-# 4.3 minimal
-# 4.13 recommended
-find_package( CGAL COMPONENTS Core REQUIRED )
+find_package( CGAL 5.3 COMPONENTS Core REQUIRED )
 message( STATUS "CGAL ${CGAL_VERSION} found" )
 
-if( "${CGAL_VERSION}" VERSION_GREATER_EQUAL "5.0.0")
+# For CGAL >= 5
 add_definitions( "-DCGAL_USE_GMPXX=1" )
-endif()
 
 include_directories( ${CMAKE_BINARY_DIR}/include )
-
-# For CGAL versions < 4.3, we add a local directory that contains some tweaked include files from unreleased versions
-# They will overwrite files from the CGAL installation
-if( "${CGAL_VERSION}" VERSION_LESS "4.3" )
-  include_directories( patches/CGAL-4.2 )
-elseif( "${CGAL_VERSION}" VERSION_LESS "4.10")
-  include_directories( patches/CGAL-4.3 )
-  add_definitions( "-DCGAL_INTERSECTION_VERSION=1" )
-endif()
 
 #-- BOOST --------------------------------------------------
 option( Boost_USE_AUTO_LINK "boost use autolink" OFF )
@@ -108,10 +109,6 @@
 if((${Boost_MAJOR_VERSION} EQUAL 1) AND (${Boost_MINOR_VERSION} EQUAL 58))
 	message( STATUS "Defining BOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT" )
 	add_definitions( "-DBOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT" )
-endif()
-# patch boost 1.60.0
-if((${Boost_MAJOR_VERSION} EQUAL 1) AND (${Boost_MINOR_VERSION} EQUAL 60) AND (${Boost_SUBMINOR_VERSION} EQUAL 0))
-  include_directories( patches/boost-1.60.0 )
 endif()
 
 if( SFCGAL_USE_STATIC_LIBS )
@@ -141,6 +138,21 @@
 	${CGAL_LIBRARY_DIRS}
 	${Boost_LIBRARY_DIRS}
 )
+
+#-- Coverage ---------------------------------------------------------------------
+option( SFCGAL_COVERAGE "Generate code coverage report" OFF)
+if( SFCGAL_COVERAGE )
+include(CodeCoverage)
+append_coverage_compiler_flags()
+set(COVERAGE_EXCLUDES
+  '${PROJECT_SOURCE_DIR}/CGAL/*'
+  '${PROJECT_SOURCE_DIR}/test/*')
+setup_target_for_coverage_gcovr_xml(
+     NAME sfcgal_coverage                    # New target name
+     EXECUTABLE ctest -j ${PROCESSOR_COUNT} -R unit-test
+     DEPENDENCIES SFCGAL unit-test-SFCGAL
+     )
+endif()
 
 #-- Warnings, frounding-math and gprof  ------------------------------------------
 option( SFCGAL_WARNING_AS_ERROR "fail the build on warnings" OFF )
