=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,10 +7,6 @@
     add_custom_command(TARGET copy
         COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_SOURCE_DIR}/src/${header} ${CMAKE_BINARY_DIR}/include/SFCGAL/${header} DEPENDS ${CMAKE_SOURCE_DIR}/src/${header})
 endforeach()
-
-if (CGAL_VERSION VERSION_GREATER 4.13)
-  include_directories(../CGAL_patches)
-endif()
 
 set( SFCGAL_OSG_HEADERS
   ${CMAKE_SOURCE_DIR}/src/io/osg.h
