=== debian/changelog ===
sfcgal (1.4.1-5) unstable; urgency=medium

  * Drop obsolete dh_strip override, dbgsym migration complete.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 19:14:24 +0100

sfcgal (1.4.1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Add upstream patch to fix FTBFS with CGAL 5.4.1.
    (closes: #1013580)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Jun 2022 12:52:47 +0200

sfcgal (1.4.1-3) unstable; urgency=medium

  * Drop -latomic workaround, fixed in cgal (5.4-2).
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Feb 2022 12:17:04 +0100

sfcgal (1.4.1-3~exp2) experimental; urgency=medium

  * Use LDFLAGS for -latomic and add -Wl,--no-as-needed to CXXFLAGS on mipsel.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 14 Feb 2022 10:02:38 +0100

sfcgal (1.4.1-3~exp1) experimental; urgency=medium

  * Add -latomic to CXXFLAGS on mipsel to workaround #1005696.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Feb 2022 17:58:54 +0100

sfcgal (1.4.1-2) unstable; urgency=medium

  * Update watch file to fix tag sorting.
  * Add upstream patch to fix FTBFS with CGAL 5.4.
    (closes: #1005568)
  * Update symbols for other architectures.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Feb 2022 09:08:06 +0100

sfcgal (1.4.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Jan 2022 06:58:34 +0100

sfcgal (1.4.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Jan 2022 20:41:46 +0100
