=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
-               libcgal-dev (>= 5.0~),
+               libcgal-dev (>= 5.3),
                libboost-all-dev,
                libmpfr-dev,
                libgmp-dev,
                pkg-kde-tools,
                chrpath
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/sfcgal
 Vcs-Git: https://salsa.debian.org/debian-gis-team/sfcgal.git
 Homepage: http://www.sfcgal.org/
+Rules-Requires-Root: no
 
 Package: libsfcgal1
 Architecture: any
