=== debian/rules ===
--- 
+++ 
@@ -52,13 +52,10 @@
 	# Remove test executables
 	$(RM) $(CURDIR)/debian/tmp/usr/bin/*test*
 
-	dh_install --list-missing
+	dh_install
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 	
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='sfcgal-dbg (<< 1.3.3)'
