## sfcgal 1.5.0

=== debian/changelog ===
sfcgal (1.5.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Nov 2023 18:45:09 +0100

sfcgal (1.5.0-1~exp2) experimental; urgency=medium

  * Skip tests on architectures where they time out or fail to link.
  * Update symbols for other architectures.
  * Ignore test failures only on architectures where it does.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Nov 2023 16:45:35 +0100

sfcgal (1.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Update lintian overrides.
  * Use execute_before instead of override in rules file.
  * Remove generated files in clean target.
    (closes: #1048430)
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Update copyright file.
  * Drop patches included upstream.
  * Ignore test failures on all architectures.
    https://gitlab.com/sfcgal/SFCGAL/-/issues/263
  * Include architecture.mk instead of calling dpkg-architecture.
  * Update GitLab repo URL.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Oct 2023 20:01:10 +0100
