=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
                cmake,
                libcgal-dev (>= 5.3),
                libboost-all-dev,
@@ -12,7 +13,7 @@
                libgmp-dev,
                pkg-kde-tools,
                chrpath
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/sfcgal
 Vcs-Git: https://salsa.debian.org/debian-gis-team/sfcgal.git
 Homepage: http://www.sfcgal.org/
