## sfcgal 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project( SFCGAL )
 
 set( CMAKE_DEBUG_POSTFIX "d" )
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 
 #
 # Cmake policies
@@ -23,7 +23,7 @@
 endif()
 
 option( SFCGAL_BUILD_EXAMPLES "build examples" OFF )
-option( SFCGAL_BUILD_TESTS "build unit, garden and regress tests" OFF )
+option( SFCGAL_BUILD_TESTS "build unit and regress tests" OFF )
 option( SFCGAL_BUILD_BENCH "Build benchmarks" OFF )
 
 option( SFCGAL_WITH_OSG "Compile with OpenSceneGraph support" OFF )
@@ -45,7 +45,7 @@
 set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules;${CMAKE_MODULE_PATH}" )
 
 set( SFCGAL_VERSION_MAJOR 1 )
-set( SFCGAL_VERSION_MINOR 4 )
+set( SFCGAL_VERSION_MINOR 5 )
 set( SFCGAL_VERSION_PATCH 1 )
 
 set( SFCGAL_VERSION "${SFCGAL_VERSION_MAJOR}.${SFCGAL_VERSION_MINOR}.${SFCGAL_VERSION_PATCH}" )
@@ -59,20 +59,25 @@
 #-----------------------------------------------------------
 
 #-- find CGAL  ---------------------------------------------
+if( CGAL_USE_GMPXX )
+	add_definitions( "-DCGAL_USE_GMPXX" )
+endif()
 option( CGAL_USE_AUTOLINK "disable CGAL autolink" OFF )
+
 if( ${CGAL_USE_AUTOLINK} )
 	add_definitions( "-DCGAL_NO_AUTOLINK" )
 endif()
 
-find_package( CGAL 5.3 COMPONENTS Core REQUIRED )
+find_package( CGAL 5.6 COMPONENTS Core REQUIRED )
 message( STATUS "CGAL ${CGAL_VERSION} found" )
 
-# For CGAL >= 5
-add_definitions( "-DCGAL_USE_GMPXX=1" )
-
 include_directories( ${CMAKE_BINARY_DIR}/include )
 
 #-- BOOST --------------------------------------------------
+if( NOT CGAL_USE_GMPXX )
+	add_definitions( "-DCGAL_DO_NOT_USE_BOOST_MP" )
+endif()
+
 option( Boost_USE_AUTO_LINK "boost use autolink" OFF )
 if( NOT ${Boost_USE_AUTO_LINK} )
 	add_definitions( "-DBOOST_ALL_NO_LIB" )
