=== debian/changelog ===
sfcgal (1.5.1-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:40:55 +1100

sfcgal (1.5.1-3) unstable; urgency=medium

  * Add dpkg-dev (>= 1.22.5) to build dependencies for t64 changes.
    (closes: #1065297)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Mar 2024 14:00:48 +0100

sfcgal (1.5.1-2) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.
    (closes: #1062893)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Feb 2024 16:28:00 +0100

sfcgal (1.5.1-2~exp1) experimental; urgency=medium

  * Improve t64 changes to match team standards.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Feb 2024 14:32:44 +0100

sfcgal (1.5.1-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 03 Feb 2024 21:52:59 +0000

sfcgal (1.5.1-1) unstable; urgency=medium

  * Skip tests on hppa & sparc64.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Dec 2023 16:08:21 +0100

sfcgal (1.5.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Don't ignore test failures on amd64 & i386.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Dec 2023 18:31:29 +0100
