=== debian/control ===
--- 
+++ 
@@ -1,30 +1,35 @@
 Source: sfcgal
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Sven Geggus <sven-debian@geggus.net>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: chrpath,
+               cmake,
+               debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
-               cmake,
+               dpkg-dev (>= 1.22.5),
                libcgal-dev (>= 5.3),
                libboost-all-dev,
                libmpfr-dev,
                libgmp-dev,
-               pkg-kde-tools,
-               chrpath
+               pkg-kde-tools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/sfcgal
 Vcs-Git: https://salsa.debian.org/debian-gis-team/sfcgal.git
 Homepage: http://www.sfcgal.org/
 Rules-Requires-Root: no
 
-Package: libsfcgal1
+Package: libsfcgal1t64
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Provides: ${t64:Provides}
+Breaks: libsfcgal1 (<< ${source:Version})
+Replaces: libsfcgal1
 Description: Library for ISO 19107:2013 and OGC SFA 1.2 for 3D operations
  SFCGAL is a C++ wrapper library around CGAL with the aim of
  supporting ISO 19107:2013 and OGC Simple Features Access 1.2 for 3D
@@ -40,7 +45,7 @@
 Package: libsfcgal-dev
 Architecture: any
 Section: libdevel
-Depends: libsfcgal1 (= ${binary:Version}),
+Depends: libsfcgal1t64 (= ${binary:Version}),
          libcgal-dev (>= 4.10.1),
          libgmp-dev,
          ${misc:Depends}
