=== debian/rules ===
--- 
+++ 
@@ -28,9 +28,9 @@
 		-DSFCGAL_BUILD_TESTS=ON
 
 override_dh_auto_test:
-ifneq (,$(filter $(DEB_BUILD_ARCH),s390x m68k powerpc ppc64))
+ifneq (,$(filter $(DEB_BUILD_ARCH),s390x hppa m68k powerpc ppc64 sparc64))
 	# Skip tests
-else ifneq (,$(filter $(DEB_BUILD_ARCH),amd64 arm64 i386 mips64el ppc64el hppa hurd-i386 loong64))
+else ifneq (,$(filter $(DEB_BUILD_ARCH),arm64 mips64el ppc64el hurd-i386 loong64))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test
