## sfcgal 1.5.2

=== debian/changelog ===
sfcgal (1.5.2-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.
  * Update lintian overrides.

  [ Christoph Berg ]
  * Cherry-pick upstream patch for CGAL6 support. (closes: #1074382)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Sep 2024 16:42:59 +0200

sfcgal (1.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to use searchmode=plain.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Jul 2024 06:29:55 +0200
