=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sfcgal
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Sven Geggus <sven-debian@geggus.net>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
@@ -15,7 +14,7 @@
                libmpfr-dev,
                libgmp-dev,
                pkg-kde-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/sfcgal
 Vcs-Git: https://salsa.debian.org/debian-gis-team/sfcgal.git
 Homepage: http://www.sfcgal.org/
